Skip to main content
GET
Get SSO connection

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

connectionId
string<uuid>
required

Unique identifier of the SSO connection.

Response

Success.

Identity provider connection managed by the SSO service.

id
string<uuid>
required

Unique identifier of the SSO connection.

reference
string
required

Identifier assigned by the downstream identity provider.

type
enum<string>
required

Identity provider connection type.

Available options:
SAML
status
enum<string>
required

Lifecycle status of the connection.

Available options:
enabled,
disabled
metadata
object
required
name
string
required

Internal name assigned to the connection.

displayName
string
required

Display label returned to clients initiating SSO.

provider
enum<string>
required

Allowed/Supported SSO providers.

Available options:
auth0,
jumpcloud,
keycloak,
microsoft,
okta
createdAt
string<date-time>
required

ISO-8601 timestamp when the connection was created.

updatedAt
string<date-time>
required

ISO-8601 timestamp when the connection was last updated.

Last modified on October 7, 2026